import mqtt from 'mqtt';
export interface MqttHook {
    connect: (url: string, _options: MqttOptions) => Promise<void>;
    disconnect: () => Promise<void>;
    reconnect: (url: string, options: mqtt.IClientOptions) => Promise<void>;
    subscribe: (topicArray: string[], qos?: mqtt.QoS) => Promise<void>;
    unSubscribe: (unTopic: string) => Promise<void>;
    publish: (topic: string, message: string, qos?: mqtt.QoS) => Promise<void>;
    registerEvent: (topic: string, callback: (topic: string, message: string) => void, vm?: string) => Promise<void>;
    unRegisterEvent: (topic: string, vm?: any) => Promise<void>;
    clearEvent: () => Promise<void>;
    test: () => Promise<boolean>;
}
export declare type MqttOptions = mqtt.IClientOptions;
export declare const connect: (url: string, _options: MqttOptions) => Promise<void>;
export declare const mqttHook: () => MqttHook;
